Skip to main content
`Ctrl`+`K`

# ISSetIdentity

Informs the index set that it is an identity.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISSetIdentity(IS is)

Logically Collective

## Input Parameter

- is - the index set

## Notes

`is` will be considered the identity permanently, even if indices have been changes (for example, with `ISGeneralSetIndices()`). It’s a good idea to only set this property if `is` will not change in the future.

To clear this property, use `ISClearInfoCache()`.

## Developer Notes

Some of these info routines have statements about values changing in the `IS`, this seems to contradict the fact that `IS` cannot be changed?

## See Also

`IS`, `ISIdentity()`, `ISSetInfo()`, `ISClearInfoCache()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages